Hangar
================

Hangar is a tool that provides easy, relevant shortcuts in your notification drawer to your most used and relied upon apps.

This lightweight notification bar gives you convenient access to these apps from anywhere in Android while intelligently updating the priority and order of the shortcuts based on your daily use.

Hangar also keeps track of app usage statistics and includes 2 highly customizable widgets.

Features
================

* Auto-updating notification drawer shortcuts containing your most used and important apps
* Sort and display apps based on user specified weight factors
* Blacklist unwanted apps
* Fully customizable!  Change the number of shortcuts, icon color, icon size, background and more.
* Additional re-sizeable widget to launch apps
* Re-sizeable widget to view app use statistics with color coded bar graphs
* Widgets intelligently scale according to size and device

FAQ
================

**Q: How do I pin apps or select specific apps to appear in Hangar?**  
You can't!  Sorry.  But don't worry, this feature is under development.  Check out the github issue tracker to comment and/or see the status of outstanding issues.

**Q: How do I customize the icons Hangar displays?**  
You can't!  Again, though, this feature is under development.  Both theme packs and per-app icon customizations.  It's a big feature though, but it's happening!

**Q: How do I remove the statusbar icon?**  
You can change the position in the Settings => Behavior screen. If you select the bottom position, the icon goes away!  One limitation of Android is that on-going notifications require a notification icon in order to have TOP_PRIORITY as a notification.  As a workaround, I've added a number of icon choices (Settings => Appearance) which includes a Transparent icon.  That icon creates a transparent gap, of course, but it's the best you can do without lowering the priority.

**Q: I can't install Hangar in my country!**  
This is caused by Google limiting in-app purchase apps (which Hangar uses for donations) to exclude certain countries.  However, since Hangar is open source, you can always install it via F-Droid.  F-Droid is an open source app store that will automatically notify you and let you automatically install new versions when they come out. Go grab F-droid here: https://f-droid.org

**Q: Will Hangar drain my battery?**  
No!  It uses very little memory and very little CPU.  It also only runs while your phone is awake and does not hold wakelock.

**Q: I want some apps to hide and show depending on my location, or if I'm at work, or...**  
Good news!  This is what I'm calling Profiles and it's also in development.  This is arguably the biggest addition/feature to add, but again, it's on the roadmap.

**Q: Can I have the recency weight and in-app use stats last a week/month/6mos/etc?**  
Sorry again.  Right now time is added forever.  This is definitely something that will change, but there are other features that have priority right now.

Screenshots
================

Notification drawer shortcuts:

  ![Notification drawer shortcuts](http://mimic.ca/~jeff/hangar/Hangar_1_notif.png)

Stats widget:

  ![Stats widget](http://mimic.ca/~jeff/hangar/Hangar_2_stats_widget.png)

Apps widget:

  ![Apps widget](http://mimic.ca/~jeff/hangar/Hangar_3_apps_widget.png)

Settings:

  ![Settings](http://mimic.ca/~jeff/hangar/Hangar_settings.png)

Play Store
================

Check out Hangar on the Google Play store [here](https://play.google.com/store/apps/details?id=ca.mimic.apphangar).

F-Droid
================

Or install Hangar via F-Droid [here](https://f-droid.org)

Contributors
================
<table>
  <tr>
    <td>
      Melissa Gregory
    </td><td>
    Feedback & support
    </td>
  </tr>
  <tr>
    <td>
      David Cormier 
    </td><td>
      French translations 
    </td>
  </tr>
  <tr>
    <td>
      Conor Anderson 
    </td><td>
      Spanish translations 
    </td>
  </tr>
  <tr>
    <td>
      Vinicius Domingues 
    </td><td>
      Portuguese translations 
    </td>
  </tr>
  <tr>
    <td>
      Mario Sacquegna 
    </td><td>
      Italian translations 
    </td>
  </tr>
  <tr>
    <td>
      Michał Ostrowski (ufoman) 
    </td><td>
      Polish translations 
    </td>
  </tr>
  <tr>
    <td>
      Abdullah Amir
    </td><td>
      Russian translations
    </td>
  </tr>
</table>

Want to help translate Hangar into your native language?  [Visit our project page on Crowdin](https://crowdin.net/project/hangar)

Special thanks
================
Bridget W, Jeff DeChambeau, Joel Burke, Jonathan Kagan, Derek Rauch, Griffin Millender &amp; Anthony King
